Daemon Power

The NetBSD Packages Collection: databases/gramps3

Brief description of the package:
Genealogical Research and Analysis Management Programming System V3

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://gramps-project.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "databases/gramps3" directory. The current source version of the package is "gramps-3.4.4nb2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for databases/gramps3 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: librsvg-[0-9]* glib2>=2.24.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 glib2>=2.4.0 pango>=1.6.0 Xft2>=2.1.7nb3 fontconfig>=2.2 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 x11-links>=0.91 osabi-NetBSD-6.1_STABLE renderproto>=0.9.3nb1 renderproto>=0.9 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.10.93nb2 Xrender>=0.9.0nb1 Xft2>=2.1 Xft2>=2.1nb2 fontconfig>=2.10.91 Xrender>=0.8 glib2>=2.32.1 harfbuzz>=0.9.9 icu>=3.4 icu>=54.1nb1 glib2>=2.34.0 harfbuzz>=0.9.4 cairo>=1.12.10 MesaLib>=3.4.2 libXdamage>=1.0.3 Xfixes>=2.0.0 fixesproto>=3.0.0<5 xextproto>=7.0 inputproto>=1.4 xproto>=7.0.9 Xfixes>=2.0.1nb2 damageproto>=1.1.0 libdrm>=2.4.24 libdrm>=2.4.15 glproto>=1.4.11 glproto>=1.4.6 python27>=2.7 readline>=2.2 readline>=6.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 dri2proto>=2.1 dri2proto>=2.0 xf86driproto>=2.0.4 xf86driproto>=2.0.3 xf86vidmodeproto>=2.3 python27>=2.7.1nb2 libxml2>=2.8.0nb2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.11 xcb-proto>=1.4 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 png>=1.2.4 pixman>=0.22.0 pixman>=0.25.2 MesaLib>=7.11.2 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.12.16nb2 Xft2>=2.1.7nb6 harfbuzz>=0.9.17nb2 cairo-gobject>=1.12.16nb1 help2man-[0-9]* p5-gettext>=1.01 perl>=5.20.0 perl<5.22.0 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* glib2>=2.36.0 libffi>=3.0.0 gobject-introspection>=1.34.0 cairo>=1.2.0 libcroco>=0.6.1 libcroco>=0.6.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 pango>=1.36.3nb1 libcroco>=0.6.5nb2 gdk-pixbuf2>=2.26.5nb2 py27-bsddb3>=4.7.2 py27-setuptools>=0.6c9 py27-expat-[0-9]* db4>=4.8.30 gnome-icon-theme>=2.8.0 icon-naming-utils>=0.8.90 p5-XML-Simple>=2.14 p5-XML-SAX-[0-9]* p5-XML-NamespaceSupport>=0.03 p5-XML-SAX-Base>=1.08 p5-XML-SAX-Expat-[0-9]* p5-XML-SAX>=0.03 p5-XML-Parser>=2.27 p5-XML-Parser-[0-9]* p5-XML-NamespaceSupport>=1.04 icon-naming-utils>=0.8.7 py27-gtk2>=2.10 py27-cairo>=1.10.0 cairo>=1.10 libglade>=2.3.6 atk>=1.9.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.6.0 gtk2+>=2.6.0 shared-mime-info>=0.15 atk>=1.30.0 glib2>=2.28.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1.2nb2 libXi>=1.3.0 inputproto>=2.3 xextproto>=7.0.3 xproto>=7.0.13 libXi>=1.0.0 Xrandr>=0.99 randrproto>=1.2.0 randrproto>=1.0 Xrandr>=1.0.1 libXcomposite>=0.3.1 compositeproto>=0.4 compositeproto>=0.3.1 pango>=1.20.0 cairo>=1.6.0 shared-mime-info>=1.0nb1 atk>=2.6.0 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 gobject-introspection>=0.9.3 gtk2+>=2.4.0 gtk2+>=2.24.22nb3 gtk2+>=2.16.0 py27-gobject>=2.15.3 py27-cairo-[0-9]* py-gobject-shared>=2.28.6 gobject-introspection>=0.9.5 py-gobject-shared>=2.10.1 py-gobject-shared>=2.28.6nb5 py27-gobject>=2.10.1nb1 py27-cairo>=1.10.0nb3 libglade>=2.6.4nb21 py27-gobject>=2.28.6nb6 py27-gtk2>=2.8.4 py27-gnome2>=2.10.0 GConf>=2.11.1 glib2>=2.28 ORBit2>=2.12.0 glib2>=2.8.0 libIDL>=0.8.3nb1 libIDL>=0.8.14nb4 dbus>=0.91 dbus-glib>=0.61 glib2>=2.26 dbus>=1.2.16 ORBit2>=2.14.19nb4 dbus-glib>=0.74 dbus-glib>=0.100nb1 GConf>=2.8.0.1 libbonobo>=2.8.0 glib2>=2.26.0 popt>=1.7nb3 popt>=1.16nb1 libbonoboui>=2.8.0 glib2>=2.14.0 libbonobo>=2.16.0 libgnome>=2.13.7 libcanberra>=0.10 gtk3+>=3.0.0 gtk2+-[0-9]* atk>=2.12.0 glib2>=2.41.2 gdk-pixbuf2>=2.30.0 at-spi2-atk>=2.6.1 atk>=2.9.4 glib2>=2.32.0 at-spi2-core>=2.11.2 libXevie>=1.0.2 evieext>=1.0.2 libXtst>=1.0.1 recordproto>=1.13.99.1 recordproto>=1.13.1 xextproto>=7.0.99.3 at-spi2-core>=2.3.2 dbus>=1.5 at-spi2-core>=2.6.0 pango>=1.36.7 cairo>=1.12.0 hicolor-icon-theme>=0.4 desktop-file-utils>=0.8 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 gdbus-codegen-[0-9]* gobject-introspection>=1.39.0 inputproto>=2.0 libltdl>=2.4.2 gstreamer0.10>=0.10.1 glib2>=2.4.0nb1 libvorbis>=1.0.1 libogg>=1.1 libogg>=1.1.2nb1 gtk3+>=3.10.7nb2 libltdl>=2.2.6 GConf>=2.32.4nb5 gstreamer0.10>=0.10.36nb3 libvorbis>=1.1.0nb1 libbonobo>=2.13.0 gnome-vfs>=2.8.0 glib2>=2.9.3 fam>=2.6.10 hal>=0.5.11 libvolume_id>=0.81.0 pciids>=20061026 usbids>=20081118 policykit>=0.9 libxslt-[0-9]* libgcrypt>=1.2.0 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xsl-[0-9]* docbook-xml>=4.2 hal-info>=20081022 policykit>=0.9nb12 fam>=2.7.0nb7 hal>=0.5.14nb8 libcanberra>=0.27nb4 libbonobo>=2.32.0nb6 gnome-vfs>=2.24.4nb25 libgnome>=2.8.0 libgnomecanvas>=2.8.0 gtk2+>=2.14.0 libart>=2.3.10nb1 libart>=2.3.16nb1 libgnome>=2.32.1nb22 libgnomecanvas>=2.30.3nb16 gnome-vfs>=2.9.3 libgnomeui>=2.8.0 glib2>=2.15.0 libbonoboui>=2.13.1 libgnome>=2.16.0 libgnome-keyring>=2.32.0 dbus>=1.2.1 libbonoboui>=2.24.4nb24 libgnome-keyring>=3.4.1nb2 py27-ORBit>=2.0.1 py27-ORBit>=2.0.0nb1 py27-gtk2>=2.6.2 libgnomeui>=2.24.5nb26 py27-ORBit>=2.24.0nb4 py27-gtk2>=2.24.0nb18 gnome-icon-theme>=2.12.1nb2 py27-gnome2>=2.28.1nb28 gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 libxml2>=2.9.2 py27-expat>=0 py27-libxslt>=1.1.12 py27-libxml2>=2.6.8 libxslt>=1.1.28nb2 libxslt>=1.1.8 docbook-xml>=4.5 getopt-[0-9]* bash-[0-9]* libxml2>=2.6.12 .

This package requires the following package(s) to run: librsvg-[0-9]* glib2>=2.24.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 glib2>=2.4.0 pango>=1.6.0 Xft2>=2.1.7nb3 fontconfig>=2.2 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.10.93nb2 Xrender>=0.9.0nb1 Xft2>=2.1 Xft2>=2.1nb2 fontconfig>=2.10.91 Xrender>=0.8 glib2>=2.32.1 harfbuzz>=0.9.9 icu>=3.4 icu>=54.1nb1 glib2>=2.34.0 harfbuzz>=0.9.4 cairo>=1.12.10 MesaLib>=3.4.2 libXdamage>=1.0.3 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 libdrm>=2.4.24 libdrm>=2.4.15 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 png>=1.2.4 pixman>=0.22.0 pixman>=0.25.2 MesaLib>=7.11.2 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.12.16nb2 Xft2>=2.1.7nb6 harfbuzz>=0.9.17nb2 cairo-gobject>=1.12.16nb1 cairo>=1.2.0 libcroco>=0.6.1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 libcroco>=0.6.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 pango>=1.36.3nb1 libcroco>=0.6.5nb2 gdk-pixbuf2>=2.26.5nb2 py27-bsddb3>=4.7.2 py27-setuptools>=0.6c9 py27-expat-[0-9]* python27>=2.7 python27>=2.7.1nb2 db4>=4.8.30 gnome-icon-theme>=2.8.0 py27-gtk2>=2.10 py27-cairo>=1.10.0 cairo>=1.10 libglade>=2.3.6 atk>=1.9.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.6.0 gtk2+>=2.6.0 shared-mime-info>=0.15 atk>=1.30.0 glib2>=2.28.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 cairo>=1.6.0 shared-mime-info>=1.0nb1 atk>=2.6.0 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 gtk2+>=2.4.0 gtk2+>=2.24.22nb3 gtk2+>=2.16.0 py27-gobject>=2.15.3 py27-cairo-[0-9]* py27-gobject>=2.10.1nb1 py27-cairo>=1.10.0nb3 libglade>=2.6.4nb21 py27-gobject>=2.28.6nb6 py27-gtk2>=2.8.4 py27-gnome2>=2.10.0 GConf>=2.11.1 glib2>=2.28 ORBit2>=2.12.0 glib2>=2.8.0 libIDL>=0.8.3nb1 libIDL>=0.8.14nb4 dbus>=0.91 dbus-glib>=0.61 glib2>=2.26 dbus>=1.2.16 ORBit2>=2.14.19nb4 dbus-glib>=0.74 dbus-glib>=0.100nb1 GConf>=2.8.0.1 libbonobo>=2.8.0 glib2>=2.26.0 popt>=1.7nb3 popt>=1.16nb1 libbonoboui>=2.8.0 glib2>=2.14.0 libbonobo>=2.16.0 libgnome>=2.13.7 libcanberra>=0.10 gtk3+>=3.0.0 gtk2+-[0-9]* atk>=2.12.0 glib2>=2.41.2 gdk-pixbuf2>=2.30.0 at-spi2-atk>=2.6.1 atk>=2.9.4 glib2>=2.32.0 at-spi2-core>=2.11.2 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* glib2>=2.36.0 libffi>=3.0.0 libXevie>=1.0.2 libXtst>=1.0.1 gobject-introspection>=1.34.0 at-spi2-core>=2.3.2 dbus>=1.5 at-spi2-core>=2.6.0 pango>=1.36.7 cairo>=1.12.0 hicolor-icon-theme>=0.4 desktop-file-utils>=0.8 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 libltdl>=2.4.2 gstreamer0.10>=0.10.1 glib2>=2.4.0nb1 libvorbis>=1.0.1 libogg>=1.1 libogg>=1.1.2nb1 gtk3+>=3.10.7nb2 libltdl>=2.2.6 GConf>=2.32.4nb5 gstreamer0.10>=0.10.36nb3 libvorbis>=1.1.0nb1 libbonobo>=2.13.0 gnome-vfs>=2.8.0 glib2>=2.9.3 fam>=2.6.10 hal>=0.5.11 libvolume_id>=0.81.0 pciids>=20061026 usbids>=20081118 policykit>=0.9 hal-info>=20081022 policykit>=0.9nb12 fam>=2.7.0nb7 hal>=0.5.14nb8 libcanberra>=0.27nb4 libbonobo>=2.32.0nb6 gnome-vfs>=2.24.4nb25 libgnome>=2.8.0 libgnomecanvas>=2.8.0 gtk2+>=2.14.0 libart>=2.3.10nb1 libart>=2.3.16nb1 libgnome>=2.32.1nb22 libgnomecanvas>=2.30.3nb16 gnome-vfs>=2.9.3 libgnomeui>=2.8.0 glib2>=2.15.0 libbonoboui>=2.13.1 libgnome>=2.16.0 libgnome-keyring>=2.32.0 libgcrypt>=1.2.0 libgpg-error>=0.6 libgpg-error>=1.10nb1 dbus>=1.2.1 libgcrypt>=1.6.0 libbonoboui>=2.24.4nb24 libgnome-keyring>=3.4.1nb2 py27-ORBit>=2.0.1 py27-ORBit>=2.0.0nb1 py27-gtk2>=2.6.2 libgnomeui>=2.24.5nb26 py27-ORBit>=2.24.0nb4 py27-gtk2>=2.24.0nb18 gnome-icon-theme>=2.12.1nb2 py27-gnome2>=2.28.1nb28 .

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
i386:gramps-3.4.1nb2.tgz(NetBSD 4.0.1)
i386:gramps-3.4.4nb2.tgz(NetBSD 5.1)
i386:gramps-3.4.4nb2.tgz(NetBSD 6.0)
i386:gramps-3.4.3nb3.tgz(NetBSD 6.0)
i386:gramps-3.4.3nb4.tgz(NetBSD 6.0)
i386:gramps-3.4.3nb6.tgz(NetBSD 6.0)
i386:gramps-3.4.4nb1.tgz(NetBSD 6.0)
i386:gramps-3.4.4nb2.tgz(NetBSD 6.0)
x86_64:gramps-3.4.4nb2.tgz(NetBSD 5.1)
x86_64:gramps-3.4.2nb2.tgz(NetBSD 5.1)
x86_64:gramps-3.4.2nb2.tgz(NetBSD 6.0)
x86_64:gramps-3.4.3nb3.tgz(NetBSD 6.0)
x86_64:gramps-3.4.3nb4.tgz(NetBSD 6.0)
x86_64:gramps-3.4.3nb6.tgz(NetBSD 6.0)
x86_64:gramps-3.4.4nb1.tgz(NetBSD 6.0)
x86_64:gramps-3.4.4nb2.tgz(NetBSD 6.0)
x86_64:gramps-3.4.4nb2.tgz(NetBSD 6.0)
x86_64:gramps-3.4.4nb2.tgz(NetBSD 7.0_BETA)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]